
#include <flare_gui/collision_row.h>








FGUICollisionRow::FGUICollisionRow(float y, float h)
	: FGUICollisionArea(0, y, 0, h)
{
}





void FGUICollisionRow::draw_bounding_area()
{
	
}





bool FGUICollisionRow::collides(float x, float y)
{
	if (y < placement.y) return false;
	if (y > placement.y + placement.h) return false;
	return true;
}

